Index: plugins/importExport/index.php
===================================================================
--- plugins/importExport/index.php	(revision 2322)
+++ plugins/importExport/index.php	(revision 2477)
@@ -98,12 +98,12 @@
 
 	echo '<h3>'.__('Import').'</h3>'.listImportExportModules($core,$modules['import']);
-	//echo '<h3>'.__('Export').'</h3>'.listImportExportModules($core,$modules['export']);
+
+	echo
+	'<h3>'.__('Export').'</h3>'.
+	'<p class="info">'.sprintf(
+		__('Export functions are in the page %s.'),
+		'<a href="plugin.php?p=maintenance&amp;tab=backup#backup">'.__('Maintenance').'</a>'
+	).'</p>';
 }
-
-echo
-'<p class="info">'.sprintf(
-	__('Export functions are in the page %s.'),
-	'<a href="plugin.php?p=maintenance&amp;tab=backup#backup">'.__('Maintenance').'</a>'
-).'</p>';
 
 dcPage::helpBlock('import');
Index: plugins/maintenance/_admin.php
===================================================================
--- plugins/maintenance/_admin.php	(revision 2196)
+++ plugins/maintenance/_admin.php	(revision 2394)
@@ -23,6 +23,5 @@
 // Admin behaviors
 $core->addBehavior('dcMaintenanceInit', array('dcMaintenanceAdmin', 'dcMaintenanceInit'));
-$core->addBehavior('adminDashboardFavs', array('dcMaintenanceAdmin', 'adminDashboardFavs'));
-$core->addBehavior('adminDashboardFavsIcon', array('dcMaintenanceAdmin', 'adminDashboardFavsIcon'));
+$core->addBehavior('adminDashboardFavorites', array('dcMaintenanceAdmin', 'adminDashboardFavorites'));
 $core->addBehavior('adminDashboardContents', array('dcMaintenanceAdmin', 'adminDashboardItems'));
 $core->addBehavior('adminDashboardOptionsForm',	array('dcMaintenanceAdmin',	'adminDashboardOptionsForm'));
@@ -74,23 +73,35 @@
 
 	/**
-	 * Dashboard favs.
+	 * Favorites.
 	 *
 	 * @param	$core	<b>dcCore</b>	dcCore instance
 	 * @param	$favs	<b>arrayObject</b>	Array of favs
 	 */
-	public static function adminDashboardFavs($core, $favs)
-	{
-		$favs['maintenance'] = new ArrayObject(array(
-			'maintenance',
-			'Maintenance',
-			'plugin.php?p=maintenance',
-			'index.php?pf=maintenance/icon.png',
-			'index.php?pf=maintenance/icon-big.png',
-			null,null,null
+	public static function adminDashboardFavorites($core, $favs)
+	{
+		$favs->register('maintenance', array(
+			'title' => __('Maintenance'),
+			'url' => 'plugin.php?p=maintenance',
+			'small-icon' => 'index.php?pf=maintenance/icon.png',
+			'large-icon' => 'index.php?pf=maintenance/icon-big.png',
+			'permissions' => 'admin',
+			'active_cb' => array('dcMaintenanceAdmin', 'adminDashboardFavoritesActive'),
+			'dashboard_cb' => array('dcMaintenanceAdmin', 'adminDashboardFavoritesCallback')
 		));
 	}
 
 	/**
-	 * Dashboard favs icon.
+	 * Favorites selection.
+	 *
+	 * @param	$request	<b>string</b>	Requested page
+	 * @param	$params		<b>array</b>	Requested parameters
+	 */
+	public static function adminDashboardFavoritesActive($request, $params)
+	{
+		return $request == 'plugin.php' && isset($params['p']) && $params['p'] == 'maintenance';
+	}
+
+	/**
+	 * Favorites hack.
 	 *
 	 * This updates maintenance fav icon text 
@@ -98,14 +109,8 @@
 	 *
 	 * @param	$core	<b>dcCore</b>	dcCore instance
-	 * @param	$name	<b>string</b>	Current fav name
-	 * @param	$icon	<b>arrayObject</b>	Current fav attributes
-	 */
-	public static function adminDashboardFavsIcon($core, $name, $icon)
-	{
-		// Check icon
-		if ($name !== 'maintenance') {
-			return null;
-		}
-
+	 * @param	$fav	<b>arrayObject</b>	fav attributes
+	 */
+	public static function adminDashboardFavoritesCallback($core, $fav)
+	{
 		// Check user option
 		$core->auth->user_prefs->addWorkspace('maintenance');
@@ -128,6 +133,6 @@
 		}
 
-		$icon[0] .= '<br />'.sprintf(__('One task to execute', '%s tasks to execute', $count), $count);
-		$icon[2] = 'index.php?pf=maintenance/icon-big-update.png';
+		$fav['title'] .= '<br />'.sprintf(__('One task to execute', '%s tasks to execute', $count), $count);
+		$fav['large-icon'] = 'index.php?pf=maintenance/icon-big-update.png';
 	}
 
@@ -198,9 +203,9 @@
 		'<p><label for="maintenance_dashboard_icon" class="classic">'.
 		form::checkbox('maintenance_dashboard_icon', 1, $core->auth->user_prefs->maintenance->dashboard_icon).
-		__('Display count of late tasks on maintenance dashboard icon').'</label></p>'.
+		__('Display overdue tasks counter on maintenance dashboard icon').'</label></p>'.
 
 		'<p><label for="maintenance_dashboard_item" class="classic">'.
 		form::checkbox('maintenance_dashboard_item', 1, $core->auth->user_prefs->maintenance->dashboard_item).
-		__('Display list of late tasks on dashboard items').'</label></p>'.
+		__('Display overdue tasks list on dashboard items').'</label></p>'.
 
 		'</div>';
Index: plugins/maintenance/inc/class.dc.maintenance.task.php
===================================================================
--- plugins/maintenance/inc/class.dc.maintenance.task.php	(revision 2044)
+++ plugins/maintenance/inc/class.dc.maintenance.task.php	(revision 2491)
@@ -56,4 +56,5 @@
 		$this->core = $maintenance->core;
 		$this->init();
+		$this->id = null;
 
 		if ($this->perm() === null && !$this->core->auth->isSuperAdmin()
Index: plugins/maintenance/inc/tasks/class.dc.maintenance.logs.php
===================================================================
--- plugins/maintenance/inc/tasks/class.dc.maintenance.logs.php	(revision 2044)
+++ plugins/maintenance/inc/tasks/class.dc.maintenance.logs.php	(revision 2482)
@@ -14,4 +14,6 @@
 class dcMaintenanceLogs extends dcMaintenanceTask
 {
+	public static $keep_maintenance_logs = true;
+
 	protected $group = 'purge';
 
@@ -19,5 +21,5 @@
 	{
 		$this->task 		= __('Delete all logs');
-		$this->success 		= __('Logs deleted.');
+		$this->success 	= __('Logs deleted.');
 		$this->error 		= __('Failed to delete logs.');
 
@@ -27,5 +29,13 @@
 	public function execute()
 	{
-		$this->core->log->delLogs(null, true);
+		if (dcMaintenanceLogs::$keep_maintenance_logs) {
+			$this->core->con->execute(
+				'DELETE FROM '.$this->core->prefix.'log '.
+				"WHERE log_table <> 'maintenance' "
+			);
+		}
+		else {
+			$this->core->log->delLogs(null, true);
+		}
 
 		return true;
Index: plugins/maintenance/index.php
===================================================================
--- plugins/maintenance/index.php	(revision 2175)
+++ plugins/maintenance/index.php	(revision 2491)
@@ -19,5 +19,4 @@
 $tasks = $maintenance->getTasks();
 
-$msg = '';
 $headers = '';
 $p_url = 'plugin.php?p=maintenance';
@@ -50,8 +49,53 @@
 		if (true === $code) {
 			$maintenance->setLog($task->id());
-			http::redirect($p_url.'&task='.$task->id().'&done=1&tab='.$tab.'#'.$tab);
+
+			dcPage::addSuccessNotice($task->success());
+			http::redirect($p_url.'&task='.$task->id().'&tab='.$tab.'#'.$tab);
 		}
 	}
 	catch (Exception $e) {
+		$core->error->add($e->getMessage());
+	}
+}
+
+// Save settings
+
+if (!empty($_POST['save_settings'])) {
+
+	try {
+		$core->blog->settings->maintenance->put(
+			'plugin_message', 
+			!empty($_POST['settings_plugin_message']), 
+			'boolean', 
+			'Display alert message of late tasks on plugin page', 
+			true, 
+			true
+		);
+
+		foreach($tasks as $t) {
+			if (!$t->id()) {
+				continue;
+			}
+
+			if (!empty($_POST['settings_recall_type']) && $_POST['settings_recall_type'] == 'all') {
+				$ts = $_POST['settings_recall_time'];
+			}
+			else {
+				$ts = empty($_POST['settings_ts_'.$t->id()]) ? 0 : $_POST['settings_ts_'.$t->id()];
+			}
+			$core->blog->settings->maintenance->put(
+				'ts_'.$t->id(), 
+				abs((integer) $ts), 
+				'integer', 
+				sprintf('Recall time for task %s', $t->id()), 
+				true, 
+				$t->blog()
+			);
+		}
+
+		dcPage::addSuccessNotice(__('Maintenance plugin has been successfully configured.'));
+		http::redirect($p_url.'&tab='.$tab.'#'.$tab);
+	}
+	catch(Exception $e) {
 		$core->error->add($e->getMessage());
 	}
@@ -104,13 +148,4 @@
 }
 
-// Success message
-
-if (!empty($_GET['done']) && $tab == 'settings') {
-	$msg = dcPage::success(__('Settings successfully updated'), true, true, false);
-}
-elseif (!empty($_GET['done']) && $task) {
-	$msg = dcPage::success($task->success(), true, true, false);
-}
-
 if ($task && ($res = $task->step()) !== null) {
 
@@ -125,5 +160,8 @@
 	);
 
-	echo $msg;
+	// content
+	if (substr($res, 0, 1) != '<') {
+		$res = sprintf('<p class="step-msg">%s</p>', $res);
+	}
 
 	// Intermediate task (task required several steps)
@@ -132,11 +170,9 @@
 	'<div class="step-box" id="'.$task->id().'">'.
 	'<p class="step-back">'.
-		'<a class="back" href="'.$p_url.'&tab='.$task->tab().'#'.$task->tab().'">'.__('Back').'</a>'.
+		'<a class="back" href="'.$p_url.'&amp;tab='.$task->tab().'#'.$task->tab().'">'.__('Back').'</a>'.
 	'</p>'.
 	'<h3>'.html::escapeHTML($task->name()).'</h3>'.
 	'<form action="'.$p_url.'" method="post">'.
-	'<p class="step-msg">'.
-		$res.
-	'</p>'.
+	$res.
 	'<p class="step-submit">'.
 		'<input type="submit" value="'.$task->task().'" /> '.
@@ -159,6 +195,4 @@
 	);
 
-	echo $msg;
-
 	// Simple task (with only a button to start it)
 
@@ -171,5 +205,6 @@
 			foreach($tasks as $t)
 			{
-				if ($t->group() != $group_obj->id() 
+				if (!$t->id() 
+				 || $t->group() != $group_obj->id() 
 				 || $t->tab() != $tab_obj->id()) {
 					continue;
@@ -233,5 +268,5 @@
 	foreach($tasks as $t)
 	{
-		if ($t->group() !== null) {
+		if (!$t->id() || $t->group() !== null) {
 			continue;
 		}
@@ -249,7 +284,62 @@
 		'</div>';
 	}
+
+	// Settings
+
+	echo 
+	'<div id="settings" class="multi-part" title="'.__('Alert settings').'">'.
+	'<h3>'.__('Alert settings').'</h3>'.
+	'<form action="'.$p_url.'" method="post">'.
+
+	'<h4 class="pretty-title">'.__('Activation').'</h4>'.
+	'<p><label for="settings_plugin_message" class="classic">'.
+	form::checkbox('settings_plugin_message', 1, $core->blog->settings->maintenance->plugin_message).
+	__('Display alert messages on late tasks').'</label></p>'.
+
+	'<p class="info">'.sprintf(
+		__('You can place list of late tasks on your %s.'),
+		'<a href="preferences.php#user-favorites">'.__('Dashboard').'</a>'
+	).'</p>'.
+
+	'<h4 class="pretty-title vertical-separator">'.__('Frequency').'</h4>'.
+
+	'<p class="vertical-separator">'.form::radio(array('settings_recall_type', 'settings_recall_all'), 'all').' '.
+	'<label class="classic" for="settings_recall_all">'.
+	'<strong>'.__('Use one recall time for all tasks').'</strong></label></p>'.
+
+	'<p class="field wide vertical-separator"><label for="settings_recall_time">'.__('Recall time for all tasks:').'</label>'.
+	form::combo('settings_recall_time', $combo_ts, 'seperate', 'recall-for-all').
+	'</p>'.
+
+	'<p class="vertical-separator">'.form::radio(array('settings_recall_type', 'settings_recall_separate'), 'separate', 1).' '.
+	'<label class="classic" for="settings_recall_separate">'.
+	'<strong>'.__('Use one recall time per task').'</strong></label></p>';
+
+	foreach($tasks as $t)
+	{
+		if (!$t->id()) {
+			continue;
+		} 
+		echo
+		'<div class="two-boxes">'.
+
+		'<p class="field wide"><label for="settings_ts_'.$t->id().'">'.$t->task().'</label>'.
+		form::combo('settings_ts_'.$t->id(), $combo_ts, $t->ts(), 'recall-per-task').
+		'</p>'.
+
+		'</div>';
+	}
+
+	echo 
+	'<p class="field wide"><input type="submit" value="'.__('Save').'" /> '.
+	form::hidden(array('tab'), 'settings').
+	form::hidden(array('save_settings'), 1).
+	$core->formNonce().'</p>'.
+	'</form>'.
+	'</div>';
 }
 
 dcPage::helpBlock('maintenance', 'maintenancetasks');
 
-echo '</body></html>';
+echo 
+'</body></html>';
Index: plugins/pages/list.php
===================================================================
--- plugins/pages/list.php	(revision 2495)
+++ plugins/pages/list.php	(revision 2496)
@@ -99,15 +99,15 @@
 	'<p class="col right"><label for="action" class="classic">'.__('Selected pages action:').'</label> '.
 	form::combo('action',$pages_actions_page->getCombo()).
-	'<input type="submit" value="'.__('ok').'" /></p>'.
+	'<input type="submit" value="'.__('ok').'" />'.
 	form::hidden(array('post_type'),'page').
 	form::hidden(array('p'),'pages').
 	form::hidden(array('act'),'list').
-	'</div>'.
 	$core->formNonce().
+	'</p></div>'.
 	'<p class="clear form-note hidden-if-js">'.
 	__('To rearrange pages order, change number at the begining of the line, then click on “Save pages order” button.').'</p>'.
 	'<p class="clear form-note hidden-if-no-js">'.
 	__('To rearrange pages order, move items by drag and drop, then click on “Save pages order” button.').'</p>'.
-	'<input type="submit" value="'.__('Save pages order').'" name="reorder" class="clear"/>'.
+	'<p><input type="submit" value="'.__('Save pages order').'" name="reorder" class="clear" /></p>'.
 	'</form>');
 }
Index: plugins/pages/page.php
===================================================================
--- plugins/pages/page.php	(revision 2314)
+++ plugins/pages/page.php	(revision 2390)
@@ -390,18 +390,18 @@
 			'items' => array(
 				'post_status' => 
-					'<p><label for="post_status" class="ib">'.__('Page status').'</label> '.
+					'<p><label for="post_status">'.__('Page status').'</label> '.
 					form::combo('post_status',$status_combo,$post_status,'','',!$can_publish).
 					'</p>',
 				'post_dt' => 
-					'<p><label for="post_dt" class="ib">'.__('Publication date and hour').'</label>'.
+					'<p><label for="post_dt">'.__('Publication date and hour').'</label>'.
 					form::field('post_dt',16,16,$post_dt,($bad_dt ? 'invalid' : '')).
 					'</p>',
 				'post_lang' =>
-					'<p><label for="post_lang" class="ib">'.__('Page language').'</label>'.
+					'<p><label for="post_lang">'.__('Page language').'</label>'.
 					form::combo('post_lang',$lang_combo,$post_lang).
 					'</p>',
 				'post_format' =>
 					'<div>'.
-					'<h5 id="label_format"><label for="post_format" class="ib">'.__('Text formatting').'</label></h5>'.
+					'<h5 id="label_format"><label for="post_format" class="classic">'.__('Text formatting').'</label></h5>'.
 					'<p>'.form::combo('post_format',$formaters_combo,$post_format,'maximal').
 					'</p>'.
@@ -447,10 +447,10 @@
 					'</p>',
 				'post_password' =>
-					'<p><label for="post_password" class="ib">'.__('Password').'</label>'.
+					'<p><label for="post_password">'.__('Password').'</label>'.
 					form::field('post_password',10,32,html::escapeHTML($post_password),'maximal').
 					'</p>',
 				'post_url' =>
 					'<div class="lockable">'.
-					'<p><label for="post_url" class="ib">'.__('Edit basename').'</label>'.
+					'<p><label for="post_url">'.__('Edit basename').'</label>'.
 					form::field('post_url',10,255,html::escapeHTML($post_url),'maximal').
 					'</p>'.
@@ -462,10 +462,10 @@
 		"post_title" =>
 			'<p class="col">'.
-			'<label class="required no-margin"><abbr title="'.__('Required field').'">*</abbr> '.__('Title:').'</label>'.
+			'<label class="required no-margin bold"><abbr title="'.__('Required field').'">*</abbr> '.__('Title:').'</label>'.
 			form::field('post_title',20,255,html::escapeHTML($post_title),'maximal').
 			'</p>',
 		
 		"post_excerpt" =>
-			'<p class="area" id="excerpt-area"><label for="post_excerpt">'.__('Excerpt:').' <span class="form-note">'.
+			'<p class="area" id="excerpt-area"><label for="post_excerpt" class="bold">'.__('Excerpt:').' <span class="form-note">'.
 			__('Introduction to the page.').'</span></label> '.
 			form::textarea('post_excerpt',50,5,html::escapeHTML($post_excerpt)).
@@ -473,5 +473,5 @@
 		
 		"post_content" =>
-			'<p class="area" id="content-area"><label class="required" '.
+			'<p class="area" id="content-area"><label class="required bold" '.
 			'for="post_content"><abbr title="'.__('Required field').'">*</abbr> '.__('Content:').'</label> '.
 			form::textarea('post_content',50,$core->auth->getOption('edit_size'),html::escapeHTML($post_content)).
@@ -479,5 +479,5 @@
 		
 		"post_notes" =>
-			'<p class="area" id="notes-area"><label for="post_notes">'.__('Personal notes:').' <span class="form-note">'.
+			'<p class="area" id="notes-area"><label for="post_notes" class="bold">'.__('Personal notes:').' <span class="form-note">'.
 			__('Unpublished notes.').'</span></label>'.
 			form::textarea('post_notes',50,5,html::escapeHTML($post_notes)).
Index: plugins/simpleMenu/index.php
===================================================================
--- plugins/simpleMenu/index.php	(revision 2495)
+++ plugins/simpleMenu/index.php	(revision 2496)
@@ -350,4 +350,5 @@
 				dcPage::jsLoad('index.php?pf=simpleMenu/simplemenu.js');
 		}
+		echo dcPage::jsConfirmClose('additem','menuitems');
 	?>
 </head>
Index: plugins/tags/tag_posts.php
===================================================================
--- plugins/tags/tag_posts.php	(revision 2322)
+++ plugins/tags/tag_posts.php	(revision 2439)
@@ -12,5 +12,5 @@
 if (!defined('DC_CONTEXT_ADMIN')) { return; }
 
-$tag = (!empty($_REQUEST['tag']) || $_REQUEST['tag'] == '0') ? $_REQUEST['tag'] : '';
+$tag = isset($_REQUEST['tag']) ? $_REQUEST['tag'] : '';
 
 $this_url = $p_url.'&amp;m=tag_posts&amp;tag='.rawurlencode($tag);
@@ -21,5 +21,5 @@
 
 # Rename a tag
-if (!empty($_POST['new_tag_id']) || $_POST['new_tag_id'] == '0')
+if (isset($_POST['new_tag_id']))
 {
 	$new_id = dcMeta::sanitizeMetaID($_POST['new_tag_id']);
@@ -124,15 +124,15 @@
 		echo '</div>';
 	}
-	
+
 	# Show posts
 	echo '<h4 class="vertical-separator pretty-title">'.sprintf(__('List of entries with the tag “%s”'),html::escapeHTML($tag)).'</h4>';
 	$post_list->display($page,$nb_per_page,
 	'<form action="plugin.php" method="post" id="form-entries">'.
-	
+
 	'%s'.
-	
+
 	'<div class="two-cols">'.
 	'<p class="col checkboxes-helpers"></p>'.
-	
+
 	'<p class="col right"><label for="action" class="classic">'.__('Selected entries action:').'</label> '.
 	form::combo('action',$posts_actions_page->getCombo()).
Index: plugins/themeEditor/_admin.php
===================================================================
--- plugins/themeEditor/_admin.php	(revision 1609)
+++ plugins/themeEditor/_admin.php	(revision 2370)
@@ -53,5 +53,5 @@
 		'<p><label for="colorsyntax" class="classic">'.
 		form::checkbox('colorsyntax',1,$core->auth->user_prefs->interface->colorsyntax).'</label>'.
-		__('Syntax color for theme editor').
+		__('Syntax highlighting in theme editor').
 		'</p>';
 	}
Index: plugins/themeEditor/locales/en/resources.php
===================================================================
--- plugins/themeEditor/locales/en/resources.php	(revision 2368)
+++ plugins/themeEditor/locales/en/resources.php	(revision 2368)
@@ -0,0 +1,16 @@
+<?php
+# -- BEGIN LICENSE BLOCK ---------------------------------------
+#
+# This file is part of Dotclear 2.
+#
+# Copyright (c) 2003-2013 Olivier Meunier & Association Dotclear
+# Licensed under the GPL version 2.0 license.
+# See LICENSE file or
+# http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
+#
+# -- END LICENSE BLOCK -----------------------------------------
+
+if (!isset($__resources['help']['themeEditor']))
+{
+	$__resources['help']['themeEditor'] = dirname(__FILE__).'/help/help.html';
+}
Index: plugins/themeEditor/locales/fr/resources.php
===================================================================
--- plugins/themeEditor/locales/fr/resources.php	(revision 2368)
+++ plugins/themeEditor/locales/fr/resources.php	(revision 2368)
@@ -0,0 +1,16 @@
+<?php
+# -- BEGIN LICENSE BLOCK ---------------------------------------
+#
+# This file is part of Dotclear 2.
+#
+# Copyright (c) 2003-2013 Olivier Meunier & Association Dotclear
+# Licensed under the GPL version 2.0 license.
+# See LICENSE file or
+# http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
+#
+# -- END LICENSE BLOCK -----------------------------------------
+
+if (!isset($__resources['help']['themeEditor']))
+{
+	$__resources['help']['themeEditor'] = dirname(__FILE__).'/help/help.html';
+}
Index: plugins/widgets/class.widgets.php
===================================================================
--- plugins/widgets/class.widgets.php	(revision 2412)
+++ plugins/widgets/class.widgets.php	(revision 2442)
@@ -232,5 +232,5 @@
 		foreach ($this->settings as $id => $s)
 		{
-			$res .= $this->formSetting($id,$s,$pr,$i=0);
+			$res .= $this->formSetting($id,$s,$pr,$i);
 			$i++;
 		}
@@ -285,5 +285,4 @@
 				break;
 		}
-		
 		return $res;
 	}
Index: plugins/widgets/index.php
===================================================================
--- plugins/widgets/index.php	(revision 2495)
+++ plugins/widgets/index.php	(revision 2496)
@@ -212,7 +212,5 @@
 <head>
   <title><?php echo __('Widgets'); ?></title>
-  <style type="text/css">
-  <?php echo file_get_contents(dirname(__FILE__).'/style.css'); ?>
-  </style>
+  <link type="text/css" rel="stylesheet" href="index.php?pf=widgets/style.css"/>
   <?php
 		echo
@@ -268,5 +266,5 @@
 echo
 '</ul>'.
-$core->formNonce().
+'<p>'.$core->formNonce().'</p>'.
 '<p class="remove-if-drag"><input type="submit" name="append" value="'.__('Add widgets to sidebars').'" /></p>'.
 '</form>';
@@ -299,24 +297,5 @@
 
 $widget_elements = new stdClass;
-$widget_elements->content =
-'<h4>'.__('Use of widgets').'</h4>'.
-'<p>'.__('Widgets may be used to add various blocks of content to be displayed on your public pages. To add a widget, '.
-'drag it from the Available widgets list on the left to one of the sidebars on the right of this page. You can order '.
-'your widgets in a sidebar by dragging them up or down. You must update sidebars to apply your changes.').'</p>'.
-'<p>'.__('Once included in a sidebar, widgets have configuration options that you can reach by clicking on the arrow next '.
-'to their name.').'</p>'.
-'<p>'.__('Reset sidebars to get back to default widgets installation.').'</p>'.
-'<h4>'.__('Widget templates tags').'</h4>'.
-'<div id="widgets-tpl">'.
-'<p>'.__('If you are allowed to edit your theme templates, you can directly add widgets as '.
-'templates tags, with their own configuration.').'</p>'.
-'<p>'.__('To add a widget in your template, you need to write code like this:').'</p>'.
-'<pre>&lt;tpl:Widget id="<strong>'.__('Widget ID').'</strong>"&gt;
-  &lt;setting name="<strong>'.__('Setting name').'</strong>"&gt;<strong>'.__('Setting value').'</strong>&lt;/setting&gt;
-  ...
-&lt;/tpl:Widget&gt;</pre>'.
-'<p>'.__('Here are the following available widgets for your blog:').'</p>';
-
-$widget_elements->content .= '<dl>';
+$widget_elements->content = '<dl>';
 foreach ($__widgets->elements() as $w)
 {
@@ -364,5 +343,5 @@
 $widget_elements->content .= '</dl></div>';
 
-dcPage::helpBlock($widget_elements);
+dcPage::helpBlock('widgets',$widget_elements);
 
 function sidebarWidgets($id,$title,$widgets,$pr,$default_widgets,&$j)
@@ -382,7 +361,9 @@
 	foreach ($widgets->elements() as $w)
 	{
-		$upDisabled = $i == 0 ? '" disabled="" src="images/disabled_' : '" src="images/';
-		$downDisabled = $i == count($widgets->elements())-1 ? '" disabled="" src="images/disabled_' : '" src="images/';
-
+		$upDisabled = $i == 0 ? ' disabled" src="images/disabled_' : '" src="images/';
+		$downDisabled = $i == count($widgets->elements())-1 ? ' disabled" src="images/disabled_' : '" src="images/';
+		$altUp = $i == 0 ? ' alt=""' : ' alt="'.__('Up the widget').'"';
+		$altDown = $i == count($widgets->elements())-1 ? ' alt=""' : ' alt="'.__('Down the widget').'"';
+		
 		$iname = 'w['.$pr.']['.$i.']';
 
@@ -393,7 +374,7 @@
 		($w->desc() != '' ? ' <span class="form-note">'.__($w->desc()).'</span>' : '').
 		'<span class="toolsWidget remove-if-drag">'.
-		'<input type="image" class="upWidget'.$upDisabled.'up.png" name="'.$iname.'[_up]" value="'.__('Up the widget').'" />'.
-		'<input type="image" class="downWidget'.$downDisabled.'down.png" name="'.$iname.'[_down]" value="'.__('Down the widget').'" />'.' '.
-		'<input type="image" class="removeWidget" src="images/trash.png" name="'.$iname.'[_rem]" value="'.__('Remove widget').'" />'.
+		'<input type="image" class="upWidget'.$upDisabled.'up.png" name="'.$iname.'[_up]" value="'.__('Up the widget').'"'.$altUp.' /> '.
+		'<input type="image" class="downWidget'.$downDisabled.'down.png" name="'.$iname.'[_down]" value="'.__('Down the widget').'"'.$altDown.' /> '.' '.
+		'<input type="image" class="removeWidget" src="images/trash.png" name="'.$iname.'[_rem]" value="'.__('Remove widget').'" alt="'.__('Remove the widget').'" />'.
 		'</span>'.
 		'<br class="clear"/></p>'.
Index: plugins/widgets/locales/en/resources.php
===================================================================
--- plugins/widgets/locales/en/resources.php	(revision 2375)
+++ plugins/widgets/locales/en/resources.php	(revision 2375)
@@ -0,0 +1,16 @@
+<?php
+# -- BEGIN LICENSE BLOCK ---------------------------------------
+#
+# This file is part of Dotclear 2.
+#
+# Copyright (c) 2003-2013 Olivier Meunier & Association Dotclear
+# Licensed under the GPL version 2.0 license.
+# See LICENSE file or
+# http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
+#
+# -- END LICENSE BLOCK -----------------------------------------
+
+if (!isset($__resources['help']['widgets']))
+{
+	$__resources['help']['widgets'] = dirname(__FILE__).'/help/help.html';
+}
Index: plugins/widgets/locales/fr/resources.php
===================================================================
--- plugins/widgets/locales/fr/resources.php	(revision 2375)
+++ plugins/widgets/locales/fr/resources.php	(revision 2375)
@@ -0,0 +1,16 @@
+<?php
+# -- BEGIN LICENSE BLOCK ---------------------------------------
+#
+# This file is part of Dotclear 2.
+#
+# Copyright (c) 2003-2013 Olivier Meunier & Association Dotclear
+# Licensed under the GPL version 2.0 license.
+# See LICENSE file or
+# http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
+#
+# -- END LICENSE BLOCK -----------------------------------------
+
+if (!isset($__resources['help']['widgets']))
+{
+	$__resources['help']['widgets'] = dirname(__FILE__).'/help/help.html';
+}
